# $Revision: 1.34 $, $Date: 2006/12/26 22:13:43 $
# TODO:
# - separate packages with themes
# - checking for idlib...
Summary:	XMMS - applet for controlling XMMS from the KDE panel
Summary(pl):	Aplet do kontrolowania XMMS-a z panelu KDE
Name:		xmms-kde
Version:	3.2
Release:	2
Epoch:		1
License:	GPL v2
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/xmms-kde/%{name}-%{version}.tar.gz
# Source0-md5:	7d5b69ce64650178d259faaf130fd88e
Patch0:		kde-common-LD_quote.patch
URL:		http://xmms-kde.sourceforge.net/
BuildRequires:	amarok
BuildRequires:	automake
BuildRequires:	fam-devel
BuildRequires:	glib-devel >= 1.2.2
BuildRequires:	gtk+-devel >= 1.2.2
BuildRequires:	kdelibs-devel >= 3.0.3
BuildRequires:	libart_lgpl-devel
BuildRequires:	libjpeg-devel
BuildRequires:	qt-devel >= 3.0.5
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	smpeg-devel >= 0.4.2
BuildRequires:	xmms-devel >= 1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XMMS panel applet for the KDE panel (kicker). It is used to be able to
control XMMS without having to switch to the virtual desktop where
XMMS is running.

%description -l pl
Aplet XMMS dla panelu KDE (kickera). Suy do kontrolowania XMMS-a bez
koniecznoci przeczania si na wirtualny pulpit, na ktrym dziaa
XMMS.

%prep
%setup -q
%patch0 -p1

%build
kde_htmldir=%{_kdedocdir}; export kde_htmldir
CXXFLAGS="%{rpmcflags} -fno-exceptions -fno-rtti -fno-implicit-templates"
cp -f /usr/share/automake/config.sub admin
%configure \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/themes.txt
%attr(755,root,root) %{_libdir}/kde3/libxmmskde.so
%{_libdir}/kde3/libxmmskde.la
%{_datadir}/apps/xmms-kde
%{_datadir}/apps/kicker/applets/xmms-kde.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-kde.spec,v $
Revision 1.34  2006/12/26 22:13:43  glen
- add ld quote patch

Revision 1.33  2006/12/24 19:06:24  blekot
- updated to 3.2
- BR amarok (now plugin will work with amarok)

Revision 1.32  2004/10/31 12:55:15  paladine
- spaces->tabs

Revision 1.31  2004/10/30 10:55:53  paladine
- unification, capitalization, better desc

Revision 1.30  2004/10/30 09:55:38  paladine
- pl fix

Revision 1.29  2004/10/15 07:37:35  qboosh
- .so perms, use _kdedocdir macro
- autoconf finally not called - removed BR

Revision 1.28  2004/10/14 19:31:31  undefine
- fix build on amd64, release 2

Revision 1.27  2004/10/14 15:29:52  blues
- last attempt

Revision 1.26  2004/10/14 15:26:08  blues
- lets see if it will build on amd64

Revision 1.25  2004/10/14 14:59:38  blues
- release 1

Revision 1.24  2004/06/13 14:16:24  mwinkler
- updated to 3.1

Revision 1.23  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:28:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/04/15 14:31:06  misi3k
- updated to 3.1beta1

Revision 1.20  2003/03/17 23:35:16  migo
- BR: fam, libart_lgpl

Revision 1.19  2003/03/13 11:23:42  qboosh
- working Source URL, minor fixed where needed

Revision 1.18  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.17  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.16  2002/09/24 13:25:47  kloczek
- reverte change in %setup,
- place KDE help files in correct path.

Revision 1.15  2002/09/24 12:11:17  kloczek
- better solution for kde-xmms plugin: add no-version patch with remove
  *all* -version-info libtool options (first: specify -version-info for
  shared objects loaded by dlopen() is redundant; second: it was specyfied
  *two* times !! :>) from xmms plugin linking options,
- simplifications,
- use more macros (use %%find_lang also).

Revision 1.14  2002/09/23 18:27:20  blues
- release 3 - proper ldconfig call - STBR

Revision 1.13  2002/08/31 16:40:01  blues
- release 2 - STBR

Revision 1.12  2002/08/09 15:59:24  blues
- 3.0.0 - KDE3 port
- some cleanups, new doc, BR corrected, Req removed

Revision 1.11  2002/04/24 22:46:27  marcus
- rel.4.

Revision 1.10  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2002/01/05 19:02:28  blues
- release 3

Revision 1.6  2001/12/15 23:35:58  kloczek
- add -fno-exceptions -fno-rtti -fno-implicit-templates to CXXFLAGS (smaller
  executables),
- s#X11/Window Managers/Tools#X11/Applications/Multimedia# in Group.

Revision 1.5  2001/12/14 09:44:41  qboosh
- pl description, cosmetics

Revision 1.4  2001/12/13 13:07:41  mkochano
- Removed %%dir %%{_prefix}/apps form %%files. This directory is owned
  by kdelibs.
- Simplified files list (using shell globs).
- Removed links to libraries.
- Added call to /sbin/ldconfig in %%post and %%postun to update links to
  libraries.

Revision 1.3  2001/12/13 12:58:55  mkochano
- Release 2.
- Completed BuildRequires. NOTE: ./configure script checks if
  gettext-devel is installed, but there are no i18n files in package, so
  there is no BuildRequires: gettext-devel.
- Removed some commented out stuff.
- Use %%configure2_13 macro (can't rebuild ac/am). Do not call
  ./configure directly.
- Use %%{_make} install DESTDIR=$RPM_BUILD_ROOT instaed some ugly
  macros.
- Removed COPYING from %%doc.
- Removed %%dir %{_datadir}/apps form %%files. This directory is owned
  by kdelibs.

Revision 1.2  2001/12/12 23:59:25  fastviper
- fixed improper dependencies (PLD has qt not qt2)

Revision 1.1  2001/12/12 23:33:11  fastviper
- Taken .spec from Anders Lund (bundled with tarball)
- adapterized
